@charset "UTF-8";

// @import '_sprite';
// @import 'node_modules/normalize.css/normalize';
// @import 'node_modules/sass-easing/_easings';
// @import 'node_modules/bootstrap/scss/bootstrap';

@import 'settings/**/*';
// @import 'global/**/*';
@import 'fonts/_fonts';
// @import 'modules/**/*';
// @import 'components/**/*';
// @import 'overides/**/*';

body{
    background: $primary;
    padding: 50px 75px;
    font-family: $regular;
}

// grid-layout

.col-1 {width: 8.33%;}
.col-2 {width: 16.66%;}
.col-3 {width: 25%;}
.col-4 {width: 33.33%;}
.col-5 {width: 41.66%;}
.col-6 {width: 50%;}
.col-7 {width: 58.33%;}
.col-8 {width: 66.66%;}
.col-9 {width: 75%;}
.col-10 {width: 83.33%;}
.col-11 {width: 91.66%;}
.col-12 {width: 100%;}

.col-1, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-10, .col-11, .col-12{
    padding: 15px;
}

.row-custom{
    display: flex;
    margin: 0 15px;
}

// content
.content{
    position: relative;
    box-sizing: content-box;
    min-height: 50px;
    padding: 50px;
    background: white;
        .row{
            margin-top: 50px;
        }
        .row.forms{
            margin-top: 0;
        }
}

.breadcrumbs{
    padding: 15px 25px;
    width: 475px;
    min-height: 25px;
    background: $primary;
    border-radius: 25px;
    position: absolute;
    top: -25px;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    justify-content: space-between;
        .bread-menus{
            position: relative;
            font-weight: 600;
            color: $secondary;
                span{
                    margin: 0 10px;
                }
                .numb{
                    background: green;
                    padding: 5px 12px;
                    border-radius: 50%;
                    background: $alternative;
                    color: white;
                }
        }

        .bread-menus.active > .numb {
            background: $secondary;
        }
}

.title{
    font-size: 1.8rem;
    font-weight: 600;
    color: $secondary;
    position: relative;
}

.title::after{
    content: '';
    position: absolute;
    width: 100%;
    height: 5px;
    left: 0;
    bottom: 5px;
    background: rgba($color: #a0a0a0, $alpha: 0.6)
}

.sc-title{
    font-size: 1.5rem;
    font-weight: 600;
    color: $secondary;
    position: relative;
}

.left-panel, .right-panel{
    padding: 10px;
    // background: gold;
}

.back-button{
    font-size: 1.2rem;
    font-weight: 600;
    margin-bottom: 25px;
        a{
            text-decoration: none;
            color: black;
        }
}

.left-panel{
    position: relative;
}

.d-flex{
    display: flex;
}

.justify-content-between{
    justify-content: space-between;
}

.form-custom{
    margin: 25px 0;
}

.form-box{
    display: flex;
    flex-direction: column;
    box-shadow: 0 1px 5px rgba(148, 148, 148, 0.4);
    position: relative;
    margin: 15px 0;
        label{
            position: absolute;
            left: 25px;
            top: 15px;
            transition: all ease-in-out 1s;
            font-weight: 600;
            color: rgba($color: #989e96, $alpha: 0.6)
        }
        .form-field-custom{
            padding: 15px;
            padding-top: 20px;
            width: 450px;
            border: none;
        }
}


.form-box .form-selected{
    top: 5px;
    left: 3;
    font-size: 0.8rem;
    color: $light-green;
}

.green{
    box-shadow: 0 2px 5px rgba($light-green, 0.9);
}

.right-panel{
    position: relative;
    height: 500px;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
        h6{
            margin: 10px 0;
            color: #989e96;
        }
}

.right-panel::after{
    content: '';
    position: absolute;
    width: 5px;
    height: 100%;
    left: -20px;
    top: 0;
    background: rgba($color: $primary, $alpha: 0.6)
}

.table-custom{
    width: 100%;
        .items{
            font-size: 1rem;
            color: #989e96;
            font-weight: 600;
        }
        .cost{
            font-weight: 600;
            text-align: right;
        }
        td{
            padding: 5px 15px;
        }
        .cost{
            text-align: right;
        }

}

.table-no-border{
    border: none;
}

// button
.btn-lg{
    width: 100%;
    padding: 15px;
    color: white;
    font-weight: 700;
    border: none;
    margin-top: 10px 0;
}

.btn-orange{
    background: $secondary;
}

// radio-button
.radio-options{
    display: flex;
}
.radio-box{
    position: relative;
    box-sizing: content-box;
    height: 75px;
    width: 200px;
    // background: red;
    margin: 25px 15px;
        .radio-text{
            position: absolute;
            top: -15px;
            left: 20px;
            pointer-events: none
        }
}

.checklist{
    position: absolute;
    right: 0;
    top: 20px;
    color: white;
    text-align: right;
    padding-right: 15%;
    font-size: 2rem;
    pointer-events: none
}

.radio-btn-custom {
    visibility:hidden;
}
.label-radio-custom {
    cursor: pointer;
    background: white;
    box-shadow: 1px 1px 6px rgba($color: #797979, $alpha: 0.3);
    padding: 30px 100px;
    border-radius: 4px;
    color: white;
    font-weight: bold;
}
.radio-btn-custom:checked + .label-radio-custom {
    box-shadow: 0px 0px 1px 3px rgba($color: #33ca68, $alpha: 1.0);
    background: #e8fbf1;
}

@media only screen and (max-width: 600px) {
    [class*="col-"] {
        width: 100%;
      }
    body{padding: 50px 15px;}
    .content{padding: 50px 5px;}
    .d-flex{display: flex; flex-direction: column;}
    .form-box .form-field-custom{    
        width: 95%;
        padding: 15px 2.5%;
    }
    .left-panel, .right-panel{padding: 0;}
    .right-panel::after{display: none;}
    .table-custom{
            .items{
                font-size: 0.7rem;
                color: #989e96;
                font-weight: 600;
            }
            .cost{
                font-weight: 600;
                text-align: right;
            }
            td{
                padding: 5px 15px;
            }
            .cost{
                text-align: right;
                font-size: 0.7rem;
            }
    
    }
    .right-panel{height: 100%;}
    .breadcrumbs {
        padding: 0;
        width: 75%;
    }
    .form-box label{font-size: 0.8rem;}
    .back-button{font-size: 1rem;}
    .row-custom{flex-wrap: wrap;}
}